AnnotationIntrospector.ReferenceProperty.Type
Date: 2016-12-04

com.fasterxml.jackson.databind

## Enum AnnotationIntrospector.ReferenceProperty.Type

- java.lang.Object
- - java.lang.Enum<AnnotationIntrospector.ReferenceProperty.Type>
  - - com.fasterxml.jackson.databind.AnnotationIntrospector.ReferenceProperty.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AnnotationIntrospector.ReferenceProperty.Type>
  Enclosing class:
    AnnotationIntrospector.ReferenceProperty

      public static enum AnnotationIntrospector.ReferenceProperty.Type
      extends java.lang.Enum<AnnotationIntrospector.ReferenceProperty.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACK_REFERENCE`
    `MANAGED_REFERENCE` Reference property that Jackson manages and that is serialized normally (by serializing reference object), but is used for resolving back references during deserialization.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotationIntrospector.ReferenceProperty.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AnnotationIntrospector.ReferenceProperty.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MANAGED_REFERENCE

          public static final AnnotationIntrospector.ReferenceProperty.Type MANAGED_REFERENCE

      Reference property that Jackson manages and that is serialized normally (by serializing reference object), but is used for resolving back references during deserialization. Usually this can be defined by using `JsonManagedReference`

    - #### BACK_REFERENCE

          public static final AnnotationIntrospector.ReferenceProperty.Type BACK_REFERENCE

  - ### Method Detail

    - #### values

          public static AnnotationIntrospector.ReferenceProperty.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnnotationIntrospector.ReferenceProperty.Type c : AnnotationIntrospector.ReferenceProperty.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnnotationIntrospector.ReferenceProperty.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null